/*
 * Tests for Wyjec - expression language, version 1.0
 * (c) Copyright by Zbigniew Chyla 2005
 *
 * This program is free software; you can redistribute it and/or modify it under the terms of
 * the GNU General Public License version 2 as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program; if
 * not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301  USA
 */
package pl.chyla.wyjec.stdfuncs;

import junit.framework.Test;
import junit.framework.TestSuite;
import pl.chyla.wyjec.stdfuncs.booleanfuncs.AllTestsBooleanFuncs;
import pl.chyla.wyjec.stdfuncs.datefuncs.AllTestsDateFuncs;
import pl.chyla.wyjec.stdfuncs.floatfuncs.AllTestsFloatFuncs;
import pl.chyla.wyjec.stdfuncs.integerfuncs.AllTestsIntegerFuncs;
import pl.chyla.wyjec.stdfuncs.stringfuncs.AllTestsStringFuncs;


/**
 * Tests for classes from "pl.chyla.wyjec.stdfuncs" package and its sub-packages.
 *
 * @author Zbigniew Chyla (zbigniew@chyla.pl)
 */
public final class AllTestsStdFuncs extends TestSuite {

    /**
     * Builds test suite with all tests for standard Wyjec functions.
     *
     * @return test suite with tests for classes from "stdfuncs" package and its sub-packages
     */
    public static Test suite() {
        TestSuite suite = new TestSuite();
        suite.addTest(AllTestsBooleanFuncs.suite());
        suite.addTest(AllTestsIntegerFuncs.suite());
        suite.addTest(AllTestsStringFuncs.suite());
        suite.addTest(AllTestsFloatFuncs.suite());
        suite.addTest(AllTestsDateFuncs.suite());
        return suite;
    }

}
