/*
 * Tests for Wyjec - expression language, version 1.0
 * (c) Copyright by Zbigniew Chyla 2005
 *
 * This program is free software; you can redistribute it and/or modify it under the terms of
 * the GNU General Public License version 2 as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program; if
 * not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301  USA
 */
package pl.chyla.wyjec.stdfuncs.booleanfuncs;

import java.util.Arrays;
import pl.chyla.wyjec.core.Value;
import pl.chyla.wyjec.core.functions.BaseTestBooleanFunction;


/**
 * Tests for {@link FnOr} class.
 *
 * @author Zbigniew Chyla (zbigniew@chyla.pl)
 */
public final class TestFnOr extends BaseTestBooleanFunction {

    /**
     * Constructs test instance with associated instance of the function.
     */
    public TestFnOr() {
        super(new FnOr());
    }

    /**
     * Tests implementation of the function.
     */
    public void testEvaluate() {
        checkFunctionResultTrue(new Value[] {makeBooleanValue(true)});
        checkFunctionResultFalse(new Value[] {makeBooleanValue(false)});
        checkFunctionResultTrue(new Value[] {makeBooleanValue(true), makeBooleanValue(false)});
        checkFunctionResultTrue(new Value[] {makeBooleanValue(false), makeBooleanValue(true)});
        Value[] params = new Value[DEFAULT_PARAMS_SOFT_LIMIT];
        Arrays.fill(params, makeBooleanValue(false));
        checkFunctionResultFalse(params);
        params[DEFAULT_PARAMS_SOFT_LIMIT - 1] = makeBooleanValue(true);
        checkFunctionResultTrue(params);
        Arrays.fill(params, makeBooleanValue(false));
        params[0] = makeBooleanValue(true);
        checkFunctionResultTrue(params);
    }

}
