/*
 * Tests for Wyjec - expression language, version 1.0
 * (c) Copyright by Zbigniew Chyla 2005
 *
 * This program is free software; you can redistribute it and/or modify it under the terms of
 * the GNU General Public License version 2 as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program; if
 * not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301  USA
 */
package pl.chyla.wyjec.stdfuncs.datefuncs.arithmetic;

import pl.chyla.wyjec.core.Value;
import pl.chyla.wyjec.core.functions.BaseTestIntegerFunction;


/**
 * Tests for {@link FnSubtractionDays} class.
 *
 * @author Zbigniew Chyla (zbigniew@chyla.pl)
 */
public final class TestFnSubtractionDays extends BaseTestIntegerFunction {

    /**
     * Constructs test instance with associated instance of the function.
     */
    public TestFnSubtractionDays() {
        super(new FnSubtractionDays());
    }

    /**
     * Tests implementation of the function.
     */
    public void testEvaluate() {
        checkFunctionResult(
            new Value[] {
                makeDateValue(1970, 1, 1, 13, 16, 17), makeDateValue(1970, 1, 1, 12, 34, 56)},
            0L);
        checkFunctionResult(
            new Value[] {
                makeDateValue(1970, 1, 2, 12, 0, 0), makeDateValue(1970, 1, 1, 12, 34, 56)},
            0L);
        checkFunctionResult(
            new Value[] {
                makeDateValue(1970, 1, 2, 13, 0, 0), makeDateValue(1970, 1, 1, 12, 34, 56)},
            1L);
        checkFunctionResult(
            new Value[] {
                makeDateValue(1978, 9, 11, 0, 0, 0), makeDateValue(1977, 3, 9, 0, 0, 0)},
            551L);
        checkFunctionResult(
            new Value[] {
                makeDateValue(1977, 3, 9, 0, 0, 0), makeDateValue(1978, 9, 11, 0, 0, 0)},
            -551L);
        checkFunctionResult(
            new Value[] {
                makeDateValue(1978, 9, 11, 16, 0, 0), makeDateValue(1977, 3, 9, 21, 0, 0)},
            550L);
        checkFunctionResult(
            new Value[] {
                makeDateValue(1977, 3, 9, 21, 0, 0), makeDateValue(1978, 9, 11, 16, 0, 0)},
            -550L);
        checkFunctionResult(
            new Value[] {
                makeDateValue(1978, 3, 5, 16, 0, 0), makeDateValue(1978, 2, 5, 16, 0, 0)},
            28L);
        checkFunctionResult(
            new Value[] {
                makeDateValue(2000, 3, 5, 16, 0, 0), makeDateValue(2000, 2, 5, 16, 0, 0)},
            29L);
    }

}
