/*
 * Tests for Wyjec - expression language, version 1.0
 * (c) Copyright by Zbigniew Chyla 2005
 *
 * This program is free software; you can redistribute it and/or modify it under the terms of
 * the GNU General Public License version 2 as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program; if
 * not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301  USA
 */
package pl.chyla.wyjec.stdfuncs.datefuncs.basic;

import pl.chyla.wyjec.core.Value;
import pl.chyla.wyjec.core.functions.BaseTestDateFunction;


/**
 * Tests for {@link FnDateFromYMDHMS} class.
 *
 * @author Zbigniew Chyla (zbigniew@chyla.pl)
 */
public final class TestFnDateFromYMDHMS extends BaseTestDateFunction {

    /**
     * Constructs test instance with associated instance of the function.
     */
    public TestFnDateFromYMDHMS() {
        super(new FnDateFromYMDHMS());
    }


    /**
     * Tests implementation of the function.
     */
    public void testEvaluate() {
        checkFunctionResult(
            new Value[] {
                makeIntegerValue(1970), makeIntegerValue(1), makeIntegerValue(1),
                makeIntegerValue(0), makeIntegerValue(0), makeIntegerValue(0)},
            0L);
        checkFunctionResult(
            new Value[] {
                makeIntegerValue(1970), makeIntegerValue(1), makeIntegerValue(1),
                makeIntegerValue(1), makeIntegerValue(2), makeIntegerValue(3)},
            makeDateValue(1970, 1, 1, 1, 2, 3).getDate());
        checkFunctionResult(
            new Value[] {
                makeIntegerValue(1977), makeIntegerValue(3), makeIntegerValue(9),
                makeIntegerValue(21), makeIntegerValue(0), makeIntegerValue(0)},
            makeDateValue(1977, 3, 9, 21, 0, 0).getDate());
    }

}
