/*
 * Tests for Wyjec - expression language, version 1.0
 * (c) Copyright by Zbigniew Chyla 2005
 *
 * This program is free software; you can redistribute it and/or modify it under the terms of
 * the GNU General Public License version 2 as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program; if
 * not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301  USA
 */
package pl.chyla.wyjec.stdfuncs.floatfuncs.arithmetic;

import pl.chyla.wyjec.core.Value;
import pl.chyla.wyjec.core.functions.BaseTestFloatFunction;


/**
 * Tests for {@link FnModulo} class.
 *
 * @author Zbigniew Chyla (zbigniew@chyla.pl)
 */
public final class TestFnModulo extends BaseTestFloatFunction {

    /**
     * Constructs test instance with associated instance of the function.
     */
    public TestFnModulo() {
        super(new FnModulo());
    }

    /**
     * Tests implementation of the function.
     */
    public void testEvaluate() {
        checkFunctionResult(
            new Value[] {makeFloatValue(3.0), makeFloatValue(5.0)},
            3.0);
        checkFunctionResult(
            new Value[] {makeFloatValue(0.0), makeFloatValue(5.0)},
            0.0);
        checkFunctionResult(
            new Value[] {makeFloatValue(-5.0), makeFloatValue(0.0)},
            Double.NaN);
        checkFunctionResult(
            new Value[] {makeFloatValue(5.0), makeFloatValue(0.0)},
            Double.NaN);
        checkFunctionResult(
            new Value[] {makeFloatValue(29.0), makeFloatValue(5.0)},
            4.0);
        checkFunctionResult(
            new Value[] {makeFloatValue(-29.0), makeFloatValue(5.0)},
            -4.0);
        checkFunctionResult(
            new Value[] {makeFloatValue(123456789.0 * 123456.0), makeFloatValue(123456.0)},
            0.0);
        checkFunctionResult(
            new Value[] {makeFloatValue(-123456789.0 * 123456.0), makeFloatValue(-123456.0)},
            0.0);
        checkFunctionResult(
            new Value[] {makeFloatValue(Double.NaN), makeFloatValue(2.0)},
            Double.NaN);
        checkFunctionResult(
            new Value[] {makeFloatValue(1.0), makeFloatValue(Double.NaN)},
            Double.NaN);
    }

}
