/*
 * Tests for Wyjec - expression language, version 1.0
 * (c) Copyright by Zbigniew Chyla 2005
 *
 * This program is free software; you can redistribute it and/or modify it under the terms of
 * the GNU General Public License version 2 as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program; if
 * not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301  USA
 */
package pl.chyla.wyjec.stdfuncs.floatfuncs.basic;

import pl.chyla.wyjec.core.Value;
import pl.chyla.wyjec.core.functions.BaseTestFloatFunction;


/**
 * Tests for {@link FnFloat} class.
 *
 * @author Zbigniew Chyla (zbigniew@chyla.pl)
 */
public final class TestFnFloat extends BaseTestFloatFunction {

    /**
     * Constructs test instance with associated instance of the function.
     */
    public TestFnFloat() {
        super(new FnFloat());
    }

    /**
     * Tests implementation of the function.
     */
    public void testEvaluate() {
        checkFunctionResult(
            new Value[] {makeIntegerValue(0L)},
            0.0);
        checkFunctionResult(
            new Value[] {makeIntegerValue(7L)},
            7.0);
        checkFunctionResult(
            new Value[] {makeIntegerValue(-7L)},
            -7.0);
        checkFunctionResult(
            new Value[] {makeIntegerValue(9223372036854775807L)},
            9223372036854775807.0);
        checkFunctionResult(
            new Value[] {makeIntegerValue(-9223372036854775808L)},
            -9223372036854775808.0);
    }

}
