/*
 * Tests for Wyjec - expression language, version 1.0
 * (c) Copyright by Zbigniew Chyla 2005
 *
 * This program is free software; you can redistribute it and/or modify it under the terms of
 * the GNU General Public License version 2 as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program; if
 * not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301  USA
 */
package pl.chyla.wyjec.stdfuncs.integerfuncs.basic;

import pl.chyla.wyjec.core.Value;
import pl.chyla.wyjec.core.functions.BaseTestStringFunction;


/**
 * Tests for {@link FnStr} class.
 *
 * @author Zbigniew Chyla (zbigniew@chyla.pl)
 */
public final class TestFnStr extends BaseTestStringFunction {

    /**
     * Constructs test instance with associated instance of the function.
     */
    public TestFnStr() {
        super(new FnStr());
    }

    /**
     * Tests implementation of the function.
     */
    public void testEvaluate() {
        checkFunctionResultVarSizes(
            new Value[] {makeIntegerValue(0L)},
            "0");
        checkFunctionResultVarSizes(
            new Value[] {makeIntegerValue(5L)},
            "5");
        checkFunctionResultVarSizes(
            new Value[] {makeIntegerValue(-5L)},
            "-5");
        checkFunctionResultVarSizes(
            new Value[] {makeIntegerValue(10000000000L)},
            "10000000000");
        checkFunctionResultVarSizes(
            new Value[] {makeIntegerValue(-10000000000L)},
            "-10000000000");
        checkFunctionResultVarSizes(
            new Value[] {makeIntegerValue(1234567890123456789L)},
            "1234567890123456789");
        checkFunctionResultVarSizes(
            new Value[] {makeIntegerValue(-1234567890123456789L)},
            "-1234567890123456789");
        checkFunctionResultVarSizes(
            new Value[] {makeIntegerValue(9223372036854775807L)},
            "9223372036854775807");
        checkFunctionResultVarSizes(
            new Value[] {makeIntegerValue(-9223372036854775808L)},
            "-9223372036854775808");
    }

}
