/*
 * Tests for Wyjec - expression language, version 1.0
 * (c) Copyright by Zbigniew Chyla 2005
 *
 * This program is free software; you can redistribute it and/or modify it under the terms of
 * the GNU General Public License version 2 as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program; if
 * not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301  USA
 */
package pl.chyla.wyjec.stdfuncs.integerfuncs.selection;

import java.util.Arrays;
import pl.chyla.wyjec.core.Value;
import pl.chyla.wyjec.core.functions.BaseTestIntegerFunction;


/**
 * Tests for {@link FnMax} class.
 *
 * @author Zbigniew Chyla (zbigniew@chyla.pl)
 */
public final class TestFnMax extends BaseTestIntegerFunction {

    /**
     * Constructs test instance with associated instance of the function.
     */
    public TestFnMax() {
        super(new FnMax());
    }

    /**
     * Tests implementation of the function.
     */
    public void testEvaluate() {
        long aValue = 17L;
        long bValue = -234567890123L;
        long cValue = 1002L;
        checkFunctionResult(
            new Value[] {makeIntegerValue(aValue)},
            aValue);
        checkFunctionResult(
            new Value[] {
                makeIntegerValue(aValue), makeIntegerValue(bValue), makeIntegerValue(cValue)},
            cValue);
        checkFunctionResult(
            new Value[] {
                makeIntegerValue(bValue), makeIntegerValue(aValue), makeIntegerValue(aValue)},
            aValue);
        Value[] params = new Value[DEFAULT_PARAMS_SOFT_LIMIT];
        Arrays.fill(params, makeIntegerValue(aValue));
        checkFunctionResult(params, aValue);
        params[DEFAULT_PARAMS_SOFT_LIMIT - 1] = makeIntegerValue(cValue);
        checkFunctionResult(params, cValue);
        Arrays.fill(params, makeIntegerValue(aValue));
        params[0] = makeIntegerValue(cValue);
        checkFunctionResult(params, cValue);
    }

}
