/*
 * Tests for Wyjec - expression language, version 1.0
 * (c) Copyright by Zbigniew Chyla 2005
 *
 * This program is free software; you can redistribute it and/or modify it under the terms of
 * the GNU General Public License version 2 as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program; if
 * not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301  USA
 */
package pl.chyla.wyjec.stdfuncs.stringfuncs;

import junit.framework.Test;
import junit.framework.TestSuite;
import pl.chyla.wyjec.stdfuncs.stringfuncs.ops.TestFnAddition;
import pl.chyla.wyjec.stdfuncs.stringfuncs.ops.TestFnFind;
import pl.chyla.wyjec.stdfuncs.stringfuncs.ops.TestFnLPad;
import pl.chyla.wyjec.stdfuncs.stringfuncs.ops.TestFnLStrip;
import pl.chyla.wyjec.stdfuncs.stringfuncs.ops.TestFnLen;
import pl.chyla.wyjec.stdfuncs.stringfuncs.ops.TestFnLower;
import pl.chyla.wyjec.stdfuncs.stringfuncs.ops.TestFnRPad;
import pl.chyla.wyjec.stdfuncs.stringfuncs.ops.TestFnRStrip;
import pl.chyla.wyjec.stdfuncs.stringfuncs.ops.TestFnRepeat;
import pl.chyla.wyjec.stdfuncs.stringfuncs.ops.TestFnReplace;
import pl.chyla.wyjec.stdfuncs.stringfuncs.ops.TestFnReverse;
import pl.chyla.wyjec.stdfuncs.stringfuncs.ops.TestFnSubstr;
import pl.chyla.wyjec.stdfuncs.stringfuncs.ops.TestFnUpper;
import pl.chyla.wyjec.stdfuncs.stringfuncs.relations.TestFnEqual;
import pl.chyla.wyjec.stdfuncs.stringfuncs.relations.TestFnGreater;
import pl.chyla.wyjec.stdfuncs.stringfuncs.relations.TestFnGreaterOrEqual;
import pl.chyla.wyjec.stdfuncs.stringfuncs.relations.TestFnLess;
import pl.chyla.wyjec.stdfuncs.stringfuncs.relations.TestFnLessOrEqual;
import pl.chyla.wyjec.stdfuncs.stringfuncs.selection.TestFnIf;
import pl.chyla.wyjec.stdfuncs.stringfuncs.selection.TestFnMax;
import pl.chyla.wyjec.stdfuncs.stringfuncs.selection.TestFnMin;
import pl.chyla.wyjec.stdfuncs.stringfuncs.selection.TestFnSelect;
import pl.chyla.wyjec.stdfuncs.stringfuncs.specialchars.TestFnLCurly;
import pl.chyla.wyjec.stdfuncs.stringfuncs.specialchars.TestFnRCurly;
import pl.chyla.wyjec.stdfuncs.stringfuncs.specialchars.TestFnVBar;


/**
 * Tests for classes from "pl.chyla.wyjec.stdfuncs.stringfuncs" package and its sub-packages.
 *
 * @author Zbigniew Chyla (zbigniew@chyla.pl)
 */
public final class AllTestsStringFuncs extends TestSuite {

    /**
     * Builds test suite with all tests for standard Wyjec string functions.
     *
     * @return
     *     test suite with tests for classes from "stringfuncs" package and its sub-packages.
     */
    public static Test suite() {
        TestSuite suite = new TestSuite();
        suite.addTestSuite(TestStringFunctions.class);
        suite.addTestSuite(TestFnAddition.class);
        suite.addTestSuite(TestFnFind.class);
        suite.addTestSuite(TestFnLen.class);
        suite.addTestSuite(TestFnLower.class);
        suite.addTestSuite(TestFnLPad.class);
        suite.addTestSuite(TestFnLStrip.class);
        suite.addTestSuite(TestFnRepeat.class);
        suite.addTestSuite(TestFnReplace.class);
        suite.addTestSuite(TestFnReverse.class);
        suite.addTestSuite(TestFnRPad.class);
        suite.addTestSuite(TestFnRStrip.class);
        suite.addTestSuite(TestFnSubstr.class);
        suite.addTestSuite(TestFnUpper.class);
        suite.addTestSuite(TestFnEqual.class);
        suite.addTestSuite(TestFnGreater.class);
        suite.addTestSuite(TestFnGreaterOrEqual.class);
        suite.addTestSuite(TestFnLess.class);
        suite.addTestSuite(TestFnLessOrEqual.class);
        suite.addTestSuite(TestFnIf.class);
        suite.addTestSuite(TestFnMax.class);
        suite.addTestSuite(TestFnMin.class);
        suite.addTestSuite(TestFnSelect.class);
        suite.addTestSuite(TestFnLCurly.class);
        suite.addTestSuite(TestFnRCurly.class);
        suite.addTestSuite(TestFnVBar.class);
        return suite;
    }

}
